Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.web.filter
Class GZIPResponseWrapper

    java.lang.Object
      HttpServletResponseWrapper
          net.sourceforge.pebble.web.filter.GZIPResponseWrapper

    public class GZIPResponseWrapper

extends HttpServletResponseWrapper

Field Summary
`protected ServletOutputStream` | `stream`
`protected HttpServletResponse` | `wrappedResponse`
`protected java.io.PrintWriter` | `writer`

Constructor Summary
`GZIPResponseWrapper(HttpServletResponse response)`

Method Summary
`ServletOutputStream` | `createOutputStream()`
`void` | `finishResponse()`
`void` | `flushBuffer()`
`ServletOutputStream` | `getOutputStream()`
`java.io.PrintWriter` | `getWriter()`
`void` | `setContentLength(int length)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wrappedResponse

    protected HttpServletResponse wrappedResponse

### stream

    protected ServletOutputStream stream

### writer

    protected java.io.PrintWriter writer

Constructor Detail

### GZIPResponseWrapper

    public GZIPResponseWrapper(HttpServletResponse response)

Method Detail

### createOutputStream

    public ServletOutputStream createOutputStream()
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### finishResponse

    public void finishResponse()

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getOutputStream

    public ServletOutputStream getOutputStream()
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### setContentLength

    public void setContentLength(int length)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.